{% load analytical %}
{% load cache %}
{% load render_bundle from webpack_loader %}
{% load static %}
<!DOCTYPE html>
<html lang="en" class="h-100">
<head>
	{% analytical_head_top %}

	{# Required meta tags #}
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	{% render_bundle 'hunter2' 'css' %}
	{% if site_style_file %}
	<link rel="style" href="{{ site_style_file }}" />
	{% endif %}
	{% if site_style %}
	<style>
		{{ site_style | safe }}
	</style>
	{% endif %}
	{% block style %}{% endblock %}

	<title>{% block title %}{{ request.site.name }}{% endblock %}</title>

	{{ announcement_data | json_script:"announcement-data" }}
	{{ message_data | json_script:"message-data" }}
	{% if sentry_config %}
	{{ sentry_config | json_script:"sentry-config" }}
	{% render_bundle 'sentry' 'js' %}
	{% endif %}

	{% block webpack_script %}
	{% render_bundle 'hunter2' 'js' attrs='defer' %}
	{% endblock %}

	{% block site_script %}{% spaceless %}
		{% if site_script %}
			<script defer>{{ site_script | safe }}</script>
		{% endif %}
		{% if site_script_file %}
			<script src="{{ site_script_file }}" defer></script>
		{% endif %}
	{% endspaceless %}{% endblock %}


	{% cache 300 icons %}
	{% for icon in icons %}
	<link rel="icon" href="{{ icon.url }}" sizes="{% if icon.size == 0 %}any{% else %}{{ icon.size }}x{{ icon.size }}{% endif %}" />
	{% endfor %}
	{% endcache %}

	{% analytical_head_bottom %}
</head>
<body class="d-flex flex-column h-100">
	{% analytical_body_top %}
	<audio id="notification-sound" class="d-none">
		<source src="/static/ping.ogg" type="audio/ogg">
		<source src="/static/ping.mp3" type="audio/mpeg">
	</audio>

	<nav class="navbar navbar-expand-md bg-dark navbar-dark container-fluid">
		{% block topbar_title %}
			<a class="navbar-brand" href="{% url 'index' %}">Home</a>
		{% endblock %}

		<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#collapsibleNavbar" aria-controls="collapsibleNavbar" aria-expanded="false" aria-label="Toggle navigation">
		  <span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="collapsibleNavbar">
			<ul class="navbar-nav">
				{% block topbar_left %}{% endblock %}
			</ul>

			<ul class="navbar-nav ms-auto">
				{% block topbar_right %}
					{% if user.is_authenticated %}
						<li class="nav-item"><a class="nav-link" href="{% url 'edit_profile' %}" id="navUser">Account</a></li>
						<li class="nav-item"><a id="logoutLink" class="nav-link" href="#">Logout</a></li>
						<li class="nav-item"><form id="logoutForm" action="{% url 'account_logout' %}?next={{ request.get_full_path | urlencode }}" method="post">{% csrf_token %}</form></li>
					{% else %}
						<li class="nav-item"><a class="nav-link" href="{{ login_url }}" id="navLogin">Login</a></li>
					{% endif %}
				{% endblock %}
			</ul>
		</div>
	</nav>

	{# Debugging information include #}
	{% block debug %}{% endblock %}

	{# Annoucements & Javascript Warning #}
	<aside id="alerts" class="container-fluid pt-3">
		<noscript>
			<div class="alert alert-danger" role="alert">
				<strong>You do not have JavaScript Enabled</strong> JavaScript is required to access and take part in a hunt.
			</div>
		</noscript>
		<div id="alert-list" />
	</aside>

	{% comment %}
	We have two levels of block for the top level elements. Most templates should define {% block page_header %} and {% block content %}.
	Templates should define {% block header %} and {% block main %} only if they want to override the classes on the <header> and <main> elements.
	{% endcomment %}

	{% block header %}
	<header class="container pt-3">
		{% block page_header %}{% endblock page_header %}
	</header>
	{% endblock %}

	{% block main %}
	<main class="d-flex flex-column flex-grow-1 flex-shrink-0 container pt-3">
		{% block content %}If you're seeing this, contact the site administrators.{% endblock content %}
	</main>
	{% endblock %}

	<footer>
		<p class="{{ footer_column_class }} small text-muted">Built with <a href="https://gitlab.com/hunter2.app/hunter2">Hunter2</a></p>
		<p class="{{ footer_column_class }} small text-muted">Copyright &copy; 2017-2021  The Hunter 2 Contributors</p>
		{% if has_privacy_policy %}
			<a class="{{ footer_column_class }} small text-muted" href="/privacy">Privacy Policy</a>
		{% endif %}
		<p class="{{ footer_column_class }} small text-muted">Licensed under the <a href="https://www.gnu.org/licenses/agpl-3.0.en.html">GNU AGPL 3.0</a>
	</footer>

	{% analytical_body_bottom %}
</body>
</html>
